<?php
// SPDX-FileCopyrightText: IndieHosters <contact@indiehosters.net>
// SPDX-License-Identifier: AGPL-3.0-or-later

namespace OCA\MultiOffice;

use OCA\MultiOffice\AppInfo\Application;
use OCP\AppFramework\Http\Events\BeforeTemplateRenderedEvent;
use OCP\EventDispatcher\Event;
use OCP\EventDispatcher\IEventListener;
use OCP\Util;

class Listener implements IEventListener
{
    public function handle(Event $event): void
    {
        if ($event instanceof BeforeTemplateRenderedEvent) {
            Util::addStyle(Application::APP_ID, "style");
            Util::addScript(Application::APP_ID, "script");
        }
    }
}
